import Paragraph from '@tiptap/extension-paragraph';

export const IndentedParagraph = Paragraph.extend({
  addAttributes() {
    return {
      // Наследуем стандартные атрибуты (если они есть)
      ...this.parent?.(),

      // Добавляем наш атрибут class
      class: {
        default: null,  // Значение по умолчанию - нет класса
        // Функция для извлечения значения 'class' из HTML-элемента при загрузке контента
        parseHTML: element => element.getAttribute('class'),
        // Функция для добавления атрибута 'class' к HTML-элементу при рендеринге
        renderHTML: attributes => {
          // Если атрибут class не пустой, добавляем его к тегу <p>
          if (attributes.class) {
            return { class: attributes.class };
          }
          // Иначе не добавляем атрибут class вообще
          return {};
        },
      },
    };
  },
});
